package com.prolog.cs.biz.outbound.model.dto.check;

import com.prolog.cs.biz.outbound.model.entity.BarcodeHDO;
import com.prolog.framework.core.annotation.Column;

import java.util.Date;

import io.swagger.annotations.ApiModelProperty;

public class LclDTO extends BarcodeHDO {

    @Column(value = "sale_branch_name")
    @ApiModelProperty(value = "销售员部门")
    private String saleBranchName;

    @Column(value = "wave_id")
    @ApiModelProperty(value = "波次id")
    private String waveId;

    @ApiModelProperty(value = "开始日期")
    private Date startDate;
    @ApiModelProperty(value = "结束日期")
    private Date endDate;

    @ApiModelProperty(value = "仓库id")
    private String warehouseId;

    public String getSaleBranchName() {
        return saleBranchName;
    }

    public void setSaleBranchName(String saleBranchName) {
        this.saleBranchName = saleBranchName;
    }

    public String getWaveId() {
        return waveId;
    }

    public void setWaveId(String waveId) {
        this.waveId = waveId;
    }

    public Date getStartDate() {
        return startDate;
    }

    public void setStartDate(Date startDate) {
        this.startDate = startDate;
    }

    public Date getEndDate() {
        return endDate;
    }

    public void setEndDate(Date endDate) {
        this.endDate = endDate;
    }

    @Override
    public String getWarehouseId() {
        return warehouseId;
    }

    @Override
    public void setWarehouseId(String warehouseId) {
        this.warehouseId = warehouseId;
    }

}
